net.sf.jasperreports.engine

## Class JROrigin

- java.lang.Object
- - net.sf.jasperreports.engine.JROrigin

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCloneable

      public class JROrigin
      extends java.lang.Object
      implements JRCloneable, java.io.Serializable

  Version:
    $Id: JROrigin.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JROrigin(BandTypeEnum bandType)`
    `JROrigin(java.lang.String reportName, BandTypeEnum bandType)`
    `JROrigin(java.lang.String reportName, java.lang.String groupName, BandTypeEnum bandTypeValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `BandTypeEnum` | `getBandTypeValue()`
    `java.lang.String` | `getGroupName()`
    `java.lang.String` | `getReportName()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JROrigin

          public JROrigin(BandTypeEnum bandType)

    - #### JROrigin

          public JROrigin(java.lang.String reportName,
                  BandTypeEnum bandType)

    - #### JROrigin

          public JROrigin(java.lang.String reportName,
                  java.lang.String groupName,
                  BandTypeEnum bandTypeValue)

  - ### Method Detail

    - #### getReportName

          public java.lang.String getReportName()

    - #### getGroupName

          public java.lang.String getGroupName()

    - #### getBandTypeValue

          public BandTypeEnum getBandTypeValue()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com